#include<FL/Fl.H>
#include<FL/Fl_Window.H>
#include<FL/Fl_Box.H>
#include<FL/Fl_Button.H>
#include<FL/fl_ask.H>
#include <memory>

int main(int argc,char *argv[]){
    auto window = std::make_unique<Fl_Window>(500,300);
    auto box = std::make_unique<Fl_Box>(20,40,260,100,"Hello world");
    box->box(FL_UP_BOX);
    box->labelsize(20);
    box->labelfont(FL_BOLD+FL_ITALIC);
    box->labeltype(FL_SHADOW_LABEL);

    auto btn = std::make_unique<Fl_Button>(20,200,100,50,"btn");
    btn->callback((Fl_Callback*)[](Fl_Widget *w,void *v)->void{
        fl_alert("btn callback");
    });

    window->end();
    window->show(argc,argv);
    
    return Fl::run();
}